> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List GRC Evidences

> List all GRC evidences for a given connection.



## OpenAPI

````yaml get /grc/evidences
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /grc/evidences:
    get:
      tags:
        - grc
        - evidences
      summary: List GRC Evidences
      description: List all GRC evidences for a given connection.
      operationId: list_grc_evidences
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: >-
                  ^name$|^name\:asc$|^name\:desc$|^type$|^type\:asc$|^type\:desc$|^status$|^status\:asc$|^status\:desc$|^collected_at$|^collected_at\:asc$|^collected_at\:desc$|^updated_at$|^updated_at\:asc$|^updated_at\:desc$|^created_at$|^created_at\:asc$|^created_at\:desc$
              - type: 'null'
            description: Sort by field
            title: Sort
          description: Sort by field
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter evidence by type (comma-separated values supported)
            title: Type
          description: Filter evidence by type (comma-separated values supported)
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter evidence by status (comma-separated values supported)
            title: Status
          description: Filter evidence by status (comma-separated values supported)
        - name: collected_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter evidence collected after this timestamp (ISO 8601 format)
            title: Collected After
          description: Filter evidence collected after this timestamp (ISO 8601 format)
        - name: collected_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter evidence collected before this timestamp (ISO 8601 format)
            title: Collected Before
          description: Filter evidence collected before this timestamp (ISO 8601 format)
        - name: control_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter evidence by associated control ID (comma-separated values
              supported)
            title: Control Ids
          description: >-
            Filter evidence by associated control ID (comma-separated values
            supported)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_GRCEvidenceResponse_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_GRCEvidenceResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GRCEvidenceResponse'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[GRCEvidenceResponse]
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    GRCEvidenceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the GRC evidence
        name:
          type: string
          title: Name
          description: Evidence name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Detailed description of the evidence
        type:
          allOf:
            - $ref: '#/components/schemas/EvidenceType'
          description: Type or classification of the evidence
          default: OTHER
        collected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collected At
          description: Timestamp when the evidence was collected
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
          description: Location or path where the evidence is stored
        status:
          allOf:
            - $ref: '#/components/schemas/EvidenceStatus'
          description: Current status of the evidence
          default: UNKNOWN
        control_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Control Id
          description: Associated GRC control id
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ScopedGRCEvidenceVendorAttributes'
          description: Vendor-specific attributes and identifiers
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the evidence was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the evidence was last updated
      type: object
      required:
        - id
        - name
        - vendor_attributes
      title: Evidence
      description: Response model for returning GRC evidence details via an API endpoint.
    EvidenceType:
      type: string
      enum:
        - FILE
        - URL
        - TEXT
        - IMAGE
        - DOCUMENT
        - OTHER
      title: EvidenceType
      description: Enum for different types of evidence.
    EvidenceStatus:
      type: string
      enum:
        - COLLECTED
        - APPROVED
        - ARCHIVED
        - INVALID
        - UNKNOWN
      title: EvidenceStatus
      description: Enum for evidence status.
    ScopedGRCEvidenceVendorAttributes:
      properties:
        id:
          type: string
          title: Id
        vendor:
          type: string
          title: Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/ServiceNowGRCEvidenceVendorData'
              discriminator:
                propertyName: vendor
                mapping:
                  SERVICENOW:
                    $ref: '#/components/schemas/ServiceNowGRCEvidenceVendorData'
            - type: 'null'
          title: Data
          description: Vendor-specific data
      type: object
      required:
        - id
        - vendor
      title: ScopedGRCEvidenceVendorAttributes
      description: Vendor-specific attributes for evidence.
    ServiceNowGRCEvidenceVendorData:
      properties:
        vendor:
          type: string
          enum:
            - SERVICENOW
          const: SERVICENOW
          title: Vendor
          default: SERVICENOW
        content_type:
          type: string
          title: Content Type
      type: object
      required:
        - content_type
      title: ServiceNowGRCEvidenceVendorData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````